-- Created by dia2sql.pl v1.3 SMDP-Release (Mon Aug 27 16:22:25 CEST 2001)

PRINT '<HTML><HEAD><TITLE>SQL - Script - by dia2sql.pl</TITLE></HEAD><BODY><H1>SQL setup log</H2>'

-- drop statement to kill database.
PRINT '<LI>Dropping smdp  if it exists<BR>'

USE MASTER
GO
IF EXISTS (SELECT name FROM sysdatabases WHERE name = N'smdp')
	DROP DATABASE smdp
GO

-- create database statement
PRINT '<LI>Creating tables'

CREATE DATABASE smdp
GO
USE smdp
GO


--
-- Table structure for table 'album'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[album]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [album]
GO

CREATE TABLE album (
	id INT IDENTITY,
	audio_class_id INT,
	artist_id INT,
	album_name VARCHAR(255),
	track_list TEXT,
	PRIMARY KEY(id)
);



--
-- Table structure for table 'lyrics'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[lyrics]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [lyrics]
GO

CREATE TABLE lyrics (
	song_id INT,
	lyrics TEXT
);



--
-- Table structure for table 'musicbrainz'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[musicbrainz]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [musicbrainz]
GO

CREATE TABLE musicbrainz (
	song_id INT,
	TRM_id VARCHAR(255),
	artist VARCHAR(255),
	album VARCHAR(255),
	title VARCHAR(255),
	genre VARCHAR(255),
	year INT
);



--
-- Table structure for table 'freedb'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[freedb]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [freedb]
GO

CREATE TABLE freedb (
	album_id INT,
	genre INT,
	discid VARCHAR(10),
	dtitle VARCHAR(255),
	dartist VARCHAR(255),
	extd TEXT
);



--
-- Table structure for table 'correlations'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[correlations]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [correlations]
GO

CREATE TABLE correlations (
	object_1 INT,
	object_2 INT,
	relation SMALLINT,
	type INT
);



--
-- Table structure for table 'song'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[song]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [song]
GO

CREATE TABLE song (
	id INT IDENTITY,
	genre_id INT,
	album_id INT,
	artist_id INT,
	file_id INT,
	PRIMARY KEY(id)
);



--
-- Table structure for table 'media'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[media]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [media]
GO

CREATE TABLE media (
	id INT IDENTITY,
	name VARCHAR(20),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'media_file'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[media_file]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [media_file]
GO

CREATE TABLE media_file (
	id INT IDENTITY,
	media_id INT,
	filename VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'file_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[file_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [file_feature]
GO

CREATE TABLE file_feature (
	id INT IDENTITY,
	file_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'media_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[media_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [media_feature]
GO

CREATE TABLE media_feature (
	id INT IDENTITY,
	media_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'song_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[song_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [song_feature]
GO

CREATE TABLE song_feature (
	id INT IDENTITY,
	song_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'artist'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[artist]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [artist]
GO

CREATE TABLE artist (
	id INT IDENTITY,
	artist_name VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'artist_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[artist_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [artist_feature]
GO

CREATE TABLE artist_feature (
	id INT IDENTITY,
	artist_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'audio_class'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[audio_class]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [audio_class]
GO

CREATE TABLE audio_class (
	id INT IDENTITY,
	audio_class_type_id INT,
	descr VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'audio_class_type'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[audio_class_type]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [audio_class_type]
GO

CREATE TABLE audio_class_type (
	id INT IDENTITY,
	descr VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'collection'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[collection]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [collection]
GO

CREATE TABLE collection (
	id INT,
	name VARCHAR(255)
);



--
-- Table structure for table 'collection_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[collection_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [collection_feature]
GO

CREATE TABLE collection_feature (
	id INT,
	collection_id INT,
	feature_id INT,
	type VARCHAR(255)
);



--
-- Table structure for table 'tag_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[tag_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [tag_feature]
GO

CREATE TABLE tag_feature (
	id INT IDENTITY,
	tag_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'tag'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[tag]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [tag]
GO

CREATE TABLE tag (
	id INT IDENTITY,
	file_id INT,
	name VARCHAR(20),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'album_feature'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[album_feature]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [album_feature]
GO

CREATE TABLE album_feature (
	id INT IDENTITY,
	album_id INT,
	feature_id INT,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



--
-- Table structure for table 'feature_type'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[feature_type]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [feature_type]
GO

CREATE TABLE feature_type (
	id INT IDENTITY,
	name VARCHAR(255),
	description TEXT,
	PRIMARY KEY(id)
);



--
-- Table structure for table 'binary_data'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[binary_data]')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	drop table [binary_data]
GO

CREATE TABLE binary_data (
	id INT IDENTITY,
	data VARBINARY,
	PRIMARY KEY(id)
);


