; *************************************************************************************
;
;	               SMDP WINDOWS INSTALL SCRIPT
;
;	http://smdp.sourceforge.net
;	Author: m@mawi.org
;
;
;
; Super PIMP installer by Nullsoft (c)
; http://www.nullsoft.com/free/nsis/
;
; *************************************************************************************

SetDateSave on
SetDatablockOptimize on
CRCCheck on
AutoCloseWindow false
ShowInstDetails hide


; The name of the installer
Name "SMDP documentation"
Caption "SMDP Setup for Windows"



; The file to write
OutFile "smdpwinsetup.exe"

; The default installation directory
InstallDir $PROGRAMFILES\SMDP\

;License info... GPL?
LicenseText "To come..."
;LicenseData "To come..."

; The text to prompt the user to enter a directory
DirText "This program will install the SMDP database and documentation. Choose a directory where to place documentation"

ComponentText "This will install the SMDP mp3 database, documentation, etc. Select what you want installed:"



; *************************************************************************************
; Install sections
	; Documentation
	Section "SMDP database structure"
		;copy sql scripts...
		CreateDirectory "$INSTDIR\sql scripts"
  	SetOutPath "$INSTDIR\sql scripts"

		File /oname=create.sql "D:\Work2\CVS Work\smdp\schema\MS-Sql\core-and-optional-set-schema.sql"

		DetailPrint "Executing isql"
	dbAccess:
		ExecWait 'isql -n -E -b -i"$INSTDIR\sql scripts\create.sql" -o"$INSTDIR\sql scripts\sql_install.html"'
		IfErrors isqlError
		DetailPrint "SQL scripts completed"
		Goto createDone

	isqlError:
		Exec '"$WINDIR\notepad.exe" "$INSTDIR\sql scripts\sql_install.html"'
		MessageBox MB_RETRYCANCEL|MB_ICONQUESTION|MB_TOPMOST \
			"Creation did not succeed. $\r \
			Do you wish to try again?" \
			IDRETRY dbAccess
		SetAutoClose true
		RMDir /r $INSTDIR
		RMDir $INSTDIR
		Abort

	createDone:
		; all done!
		Exec 'explorer.exe "$INSTDIR\sql scripts\sql_install.html"'
		BringToFront

	SectionEnd

	Section "SMDP Documentation"
  	SetOutPath $INSTDIR
  	; Put file there
  	File /oname=documentation.html "D:\Work2\CVS Work\smdp\doc\smdp_doc.html"
  	File /r "D:\Work2\CVS Work\smdp\doc\image"

		CopyFiles "D:\Work2\CVS Work\smdp\schema\MS-Sql\core-and-optional-set-schema.sql" "$INSTDIR\sql scripts\sql scripts.sql" 0
		;CopyFiles "$WINDIR\*.ini" "$INSTDIR\cpdest" 0
	SectionEnd ; end the section

	; Shortcuts (windows start/program menu)
	Section "Start Menu Shortcuts"
  	CreateDirectory "$SMPROGRAMS\SMDP mp3 DB"
  	CreateShortCut "$SMPROGRAMS\SMDP mp3 DB\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0

		IfFileExists "$INSTDIR\documentation.html" doclink nodoclink
		doclink: ;then
			CreateShortCut "$SMPROGRAMS\SMDP mp3 DB\Documentation.lnk" "$INSTDIR\documentation.html" "" "" 0

		nodoclink: ;continue
  	CreateShortCut "$SMPROGRAMS\SMDP mp3 DB\SMDP Homepage.lnk" "http://smdp.sourceforge.net/" "" "" 0
	SectionEnd



; end install sections
; *************************************************************************************



; Uninstall options
UninstallText "This will uninstall the SMDP documentation, it will NOT uninstall the database, $\r \
	it is recommended that you do so manually using the management console."
UninstallExeName uninstall.exe

;Uninstall section
Section "Uninstall"
	;Shortcuts
	Delete "$SMPROGRAMS\SMDP mp3 DB\*.*"
  RMDir "$SMPROGRAMS\SMDP mp3 DB"

	;files
	Delete $INSTDIR\Uninstall.exe
	Delete $INSTDIR\documentation.html
	RMDir /r $INSTDIR

	;check
	IfFileExists "$INSTDIR" 0 NoErrorMsg
	MessageBox MB_OK "Note: $INSTDIR could not be removed!" IDOK 0 ; skipped if file doesn't exist
	NoErrorMsg:
SectionEnd

; *************************************************************************************
; eof
