# Created by dia2sql.pl v1.3 SMDP-Release (Mon Aug 27 16:22:19 CEST 2001)

# drop statement to kill database.
DROP DATABASE IF EXISTS smdp;
# create database statement
CREATE DATABASE smdp;
USE smdp;


#
# Table structure for table 'album'
#

DROP TABLE IF EXISTS album;
CREATE TABLE album (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	audio_class_id INT(11) UNSIGNED,
	artist_id INT(11) UNSIGNED,
	album_name VARCHAR(255),
	track_list TEXT,
	PRIMARY KEY(id)
);



#
# Table structure for table 'lyrics'
#

DROP TABLE IF EXISTS lyrics;
CREATE TABLE lyrics (
	song_id BIGINT(20) UNSIGNED,
	lyrics TEXT
);



#
# Table structure for table 'musicbrainz'
#

DROP TABLE IF EXISTS musicbrainz;
CREATE TABLE musicbrainz (
	song_id BIGINT(20) UNSIGNED,
	TRM_id VARCHAR(255),
	artist VARCHAR(255),
	album VARCHAR(255),
	title VARCHAR(255),
	genre VARCHAR(255),
	year INT(11) UNSIGNED
);



#
# Table structure for table 'freedb'
#

DROP TABLE IF EXISTS freedb;
CREATE TABLE freedb (
	album_id BIGINT(20) UNSIGNED,
	genre INT(11),
	discid VARCHAR(10),
	dtitle VARCHAR(255),
	dartist VARCHAR(255),
	extd TEXT
);



#
# Table structure for table 'correlations'
#

DROP TABLE IF EXISTS correlations;
CREATE TABLE correlations (
	object_1 BIGINT(20) UNSIGNED,
	object_2 BIGINT(20) UNSIGNED,
	relation SMALLINT(6) UNSIGNED,
	type INT(11) UNSIGNED
);



#
# Table structure for table 'song'
#

DROP TABLE IF EXISTS song;
CREATE TABLE song (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	genre_id INT(11) UNSIGNED,
	album_id BIGINT(20) UNSIGNED,
	artist_id BIGINT(20) UNSIGNED,
	file_id BIGINT(20) UNSIGNED,
	PRIMARY KEY(id)
);



#
# Table structure for table 'media'
#

DROP TABLE IF EXISTS media;
CREATE TABLE media (
	id INT(11) UNSIGNED AUTO_INCREMENT NOT NULL,
	name VARCHAR(20),
	PRIMARY KEY(id)
);



#
# Table structure for table 'media_file'
#

DROP TABLE IF EXISTS media_file;
CREATE TABLE media_file (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	media_id INT(11) UNSIGNED,
	filename VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'file_feature'
#

DROP TABLE IF EXISTS file_feature;
CREATE TABLE file_feature (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	file_id BIGINT(20) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'media_feature'
#

DROP TABLE IF EXISTS media_feature;
CREATE TABLE media_feature (
	id INT(11) UNSIGNED AUTO_INCREMENT NOT NULL,
	media_id INT(11) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'song_feature'
#

DROP TABLE IF EXISTS song_feature;
CREATE TABLE song_feature (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	song_id BIGINT(20) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'artist'
#

DROP TABLE IF EXISTS artist;
CREATE TABLE artist (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	artist_name VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'artist_feature'
#

DROP TABLE IF EXISTS artist_feature;
CREATE TABLE artist_feature (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	artist_id BIGINT(20) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'audio_class'
#

DROP TABLE IF EXISTS audio_class;
CREATE TABLE audio_class (
	id INT(11) UNSIGNED  AUTO_INCREMENT NOT NULL,
	audio_class_type_id INT(11) UNSIGNED,
	descr VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'audio_class_type'
#

DROP TABLE IF EXISTS audio_class_type;
CREATE TABLE audio_class_type (
	id INT(11) UNSIGNED  AUTO_INCREMENT NOT NULL,
	descr VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'collection'
#

DROP TABLE IF EXISTS collection;
CREATE TABLE collection (
	id BIGINT(20) UNSIGNED,
	name VARCHAR(255)
);



#
# Table structure for table 'collection_feature'
#

DROP TABLE IF EXISTS collection_feature;
CREATE TABLE collection_feature (
	id BIGINT(20) UNSIGNED,
	collection_id BIGINT(20) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	type VARCHAR(255)
);



#
# Table structure for table 'tag_feature'
#

DROP TABLE IF EXISTS tag_feature;
CREATE TABLE tag_feature (
	id INT(11) UNSIGNED AUTO_INCREMENT NOT NULL,
	tag_id INT(11) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'tag'
#

DROP TABLE IF EXISTS tag;
CREATE TABLE tag (
	id INT(11) UNSIGNED AUTO_INCREMENT NOT NULL,
	file_id BIGINT(20) UNSIGNED,
	name VARCHAR(20),
	PRIMARY KEY(id)
);



#
# Table structure for table 'album_feature'
#

DROP TABLE IF EXISTS album_feature;
CREATE TABLE album_feature (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	album_id BIGINT(20) UNSIGNED,
	feature_id BIGINT(20) UNSIGNED,
	value VARCHAR(255),
	PRIMARY KEY(id)
);



#
# Table structure for table 'feature_type'
#

DROP TABLE IF EXISTS feature_type;
CREATE TABLE feature_type (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	name VARCHAR(255),
	description TEXT,
	PRIMARY KEY(id)
);



#
# Table structure for table 'binary_data'
#

DROP TABLE IF EXISTS binary_data;
CREATE TABLE binary_data (
	id BIGINT(20) UNSIGNED AUTO_INCREMENT NOT NULL,
	data BLOB,
	PRIMARY KEY(id)
);


