-- Created by dia2sql.pl v1.3 SMDP-Release (Mon Aug 27 16:22:22 CEST 2001)

-- drop statement to kill database.
DROP DATABASE smdp;
-- create database statement
CREATE DATABASE smdp;
\c smdp


--
-- Table structure for table 'album'
--

DROP TABLE album;
CREATE TABLE album (
	id SERIAL,
	audio_class_id INT,
	artist_id INT,
	album_name VARCHAR(255),
	track_list TEXT
);



--
-- Table structure for table 'lyrics'
--

DROP TABLE lyrics;
CREATE TABLE lyrics (
	song_id BIGINT,
	lyrics TEXT
);



--
-- Table structure for table 'musicbrainz'
--

DROP TABLE musicbrainz;
CREATE TABLE musicbrainz (
	song_id BIGINT,
	TRM_id VARCHAR(255),
	artist VARCHAR(255),
	album VARCHAR(255),
	title VARCHAR(255),
	genre VARCHAR(255),
	year INT
);



--
-- Table structure for table 'freedb'
--

DROP TABLE freedb;
CREATE TABLE freedb (
	album_id BIGINT,
	genre INT,
	discid VARCHAR(10),
	dtitle VARCHAR(255),
	dartist VARCHAR(255),
	extd TEXT
);



--
-- Table structure for table 'correlations'
--

DROP TABLE correlations;
CREATE TABLE correlations (
	object_1 BIGINT,
	object_2 BIGINT,
	relation SMALLINT,
	type INT
);



--
-- Table structure for table 'song'
--

DROP TABLE song;
CREATE TABLE song (
	id SERIAL,
	genre_id INT,
	album_id BIGINT,
	artist_id BIGINT,
	file_id BIGINT
);



--
-- Table structure for table 'media'
--

DROP TABLE media;
CREATE TABLE media (
	id SERIAL,
	name VARCHAR(20)
);



--
-- Table structure for table 'media_file'
--

DROP TABLE media_file;
CREATE TABLE media_file (
	id SERIAL,
	media_id INT,
	filename VARCHAR(255)
);



--
-- Table structure for table 'file_feature'
--

DROP TABLE file_feature;
CREATE TABLE file_feature (
	id SERIAL,
	file_id BIGINT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'media_feature'
--

DROP TABLE media_feature;
CREATE TABLE media_feature (
	id SERIAL,
	media_id INT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'song_feature'
--

DROP TABLE song_feature;
CREATE TABLE song_feature (
	id SERIAL,
	song_id BIGINT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'artist'
--

DROP TABLE artist;
CREATE TABLE artist (
	id SERIAL,
	artist_name VARCHAR(255)
);



--
-- Table structure for table 'artist_feature'
--

DROP TABLE artist_feature;
CREATE TABLE artist_feature (
	id SERIAL,
	artist_id BIGINT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'audio_class'
--

DROP TABLE audio_class;
CREATE TABLE audio_class (
	id SERIAL,
	audio_class_type_id INT,
	descr VARCHAR(255)
);



--
-- Table structure for table 'audio_class_type'
--

DROP TABLE audio_class_type;
CREATE TABLE audio_class_type (
	id SERIAL,
	descr VARCHAR(255)
);



--
-- Table structure for table 'collection'
--

DROP TABLE collection;
CREATE TABLE collection (
	id BIGINT,
	name VARCHAR(255)
);



--
-- Table structure for table 'collection_feature'
--

DROP TABLE collection_feature;
CREATE TABLE collection_feature (
	id BIGINT,
	collection_id BIGINT,
	feature_id BIGINT,
	type VARCHAR(255)
);



--
-- Table structure for table 'tag_feature'
--

DROP TABLE tag_feature;
CREATE TABLE tag_feature (
	id SERIAL,
	tag_id INT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'tag'
--

DROP TABLE tag;
CREATE TABLE tag (
	id SERIAL,
	file_id BIGINT,
	name VARCHAR(20)
);



--
-- Table structure for table 'album_feature'
--

DROP TABLE album_feature;
CREATE TABLE album_feature (
	id SERIAL,
	album_id BIGINT,
	feature_id BIGINT,
	value VARCHAR(255)
);



--
-- Table structure for table 'feature_type'
--

DROP TABLE feature_type;
CREATE TABLE feature_type (
	id SERIAL,
	name VARCHAR(255),
	description TEXT
);



--
-- Table structure for table 'binary_data'
--

DROP TABLE binary_data;
CREATE TABLE binary_data (
	id SERIAL,
	data BYTEA
);


