#!/usr/bin/perl
# $Id: sql-generator.pl,v 1.7 2001/08/27 15:02:22 fkr Exp $

use Getopt::Long;

$VERSION = "sql-generator: 0.01";

$results = &GetOptions( "task=s" => \$task,     # what do we generate?
					    "h", \$usage);          # I need help! 

if(!($results)) {
	&usage();
}

if(@ARGV < 1) {
    &usage();
	} else {
	$infile = shift;                # input file, Dia XML formatted
    $outfile = shift;               # output file, filled with SQL statements
		        
    if($outfile) {
		open(STDOUT, ">$outfile") or die "$outfile: $!n";
	}
}

if($task eq "fstab") {
   $line_counter = 0;
   open(FSTAB,"<$infile") or die "failed to open $infile in read-mode: $!\n";

   while(<FSTAB>) {
   		# jump comments
        if($_ =~ /^#.*/) {
	        next;
        }

		if($_ =~ /^(\/[A-z0-9._\/]*)\s*(\/[A-z0-9._\/]*).*/i) {
			# local hard-disl
			$device    = $1;
			$mnt_point = $2;
			if(defined($1) && defined($2)) {
				print STDOUT "INSERT INTO media (name) VALUES ('$device');\n";
				print STDOUT "INSERT INTO media_feature (media_id,feature_id) SELECT ".
				             "media.id,feature_type.id FROM media,feature_type WHERE ".
		                             "media.name='$device' AND feature_type.name='mount_point';\n";
			        $line_counter++;
				print STDOUT "UPDATE media_feature SET value='$mnt_point' WHERE ".
				             "id=$line_counter;\n";
				print STDOUT "INSERT INTO media_feature (media_id,feature_id) SELECT ".
				             "media.id,feature_type.id FROM media,feature_type WHERE ".
				             "media.name='$device' AND feature_type.name='device';\n";
				$line_counter++;
				print STDOUT "UPDATE media_feature SET value='$device' WHERE ". 
        	                             "id=$line_counter;\n";
			}
         }
   }
   close(FSTAB);
}

if($task eq "feature_type") {
   &feature_type($infile);
}

if($task eq "id3") {
	&feature_type($infile);
}

close(STDOUT);

sub feature_type {
   local($infile) = @_;
   $line_counter=0;
   open(CSV_FILE,"<$infile") or die "failed to open $infile in read-mode: $!\n";
   

   while(<CSV_FILE>) {
           # jump comments
           if($_ =~ /^#.*/) {
              next;
           }
		   
		   $line_counter++;
		   
           @fields = split /,/, $_;
           chomp($fields[0]);
           chomp($fields[1]);

		   if(($fields[0] ne "") && ($fields[1] ne "")) {
		   		$STORAGE{$fields[0]}= $line_counter;
				print STDOUT "INSERT INTO feature_type (name, description) ".
	                         "VALUES ('$fields[0]','$fields[1]');\n";
		   }
    }
	close(CSV_FILE);
}
	
sub usage() {
    print STDOUT <<E_O_USAGE;

	$VERSION

	Usage:  sql-generator.pl --task=[task] infile.csv [outfile.sql]

	If no outfile is given, output is send to console. (stdout)
	Following task's available:		id3 [ convert id3.csv ]
	                                feature_type [ convert feature_types.csv]
									fstab [ build fstab-sql script]

E_O_USAGE
exit;
}
